Subject: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Mar 2021 17:00:12 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Fri, 05 Mar 2021 14:04:58 +0000
> 
> > Maybe if I "stepi" inside that last libgccjit function, I will be able
> > to advance more.  But something is definitely fishy here, and I'm not
> > sure what that is.  Ideas for further debugging are welcome.
> 
> Not many here, just two Mr. obvious observations:
> 
> Recompiling comp.c at -O0 -g3 might help the broken stepping?

comp.c (and all of Emacs) is already compiled with those options, as
this is an unoptimized build.  And anyway, I'm stepping through the
code of libgccjit, not comp.c, when the crash happens.

> Is SSDATA (tmp_file) containing something not meaningful or maybe
> suspicious?

The file name is fine.

Thanks, I guess I will keep debugging this, then

(The garbled callstack hints on some memory-related issue.  Hmmm...)